textures/imperial/impwillsky
{
	qer_editorImage textures/austria/AustriaSkyImage.jpg

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .99 .89 .77 550 150 33
	q3map_surfacelight 300
	q3map_lightsubdivide 512
        skyparms env/turnpike/tp_sky2 - -
}
textures/imperial/impsky
{
	qer_editorImage textures/imperial/reccess.tga
    qer_trans 1
	q3map_lightmapFilterRadius 0 16  
    q3map_lightsubdivide 512
    q3map_backsplash 0 0
	q3map_sunExt 0.99 0.93 0.98	1100 77 66 3 16
    q3map_lightRGB 0.99 0.93 0.98
	q3map_skylight 450 16
    //q3map_noFog
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight
	skyparms env/turnpike/tp_sky2 1024 -
	{
		map textures/slackin/clouds01.tga
		blendFunc add
		tcMod scale 3 2
		tcMod scroll 0.02 0.01
	}
	nopicmip
	nomipmaps
}



textures/imperial/glass-del-dark
{
    qer_editorimage textures/imperial/glass02.tga
    qer_trans 0.7
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nodlight
    surfaceparm nomarks
    nopicmip
    sort 9
    {
        map textures/imperial/glass02.tga
        alphagen const 0.6 //0.65
        blendfunc blend
        rgbGen vertex
        //tcgen environment
    }
    {
        map textures/imperial/del_envmap01.tga
        alphagen const 0.4 //0.475
        blendfunc blend
        rgbGen vertex
        tcgen environment
    }
	
// Credit to Delirium for this shader
}

textures/imperial/glass-del-pink
{
    qer_editorimage textures/imperial/glass.tga
    qer_trans 0.7
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nodlight
    surfaceparm nomarks
    nopicmip
    sort 9
    {
        map textures/imperial/glass.tga
        alphagen const 0.6 //0.65
        blendfunc blend
        rgbGen vertex
        //tcgen environment
    }
    {
        map textures/imperial/del_envmap01.tga
        alphagen const 0.4 //0.475
        blendfunc blend
        rgbGen vertex
        tcgen environment
    }
	
// Credit to Delirium for this shader
}

textures/imperial/glass-del-light
{
    qer_editorimage textures/imperial/glass03.tga
    qer_trans 0.7
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nodlight
    surfaceparm nomarks
    nopicmip
    sort 9
    {
        map textures/imperial/glass03.tga
        alphagen const 0.6 //0.65
        blendfunc blend
        rgbGen vertex
        //tcgen environment
    }
    {
        map textures/imperial/del_envmap01.tga
        alphagen const 0.4 //0.475
        blendfunc blend
        rgbGen vertex
        tcgen environment
    }
	
// Credit to Delirium for this shader
}

textures/imperial/impsky_day
{
    qer_editorImage textures/slackin/glass01.tga
    qer_trans 0.99        //will hide brushes when hiding transparent
    
    q3map_backsplash 0 0
    q3map_lightmapFilterRadius 0 2
    //0 16  
    //q3map_lightsubdivide 512 redundant with sky shaders - this is for light emmitting shaders, and I'd use a lower value like 32 for those
    
    q3map_sunExt 0.99 0.93 0.98 75 77 66 1 8 //reduced Deviance + Samples
    //0.99 0.93 0.98 75 77 66 3 16
    // R G B Intensity Degrees Elevation Deviance Samples
    
    q3map_lightRGB 0.99 0.93 0.98
    q3map_skylight 85 16
        //60 16

    q3map_noFog
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight
    
    skyparms env/turnpike/tp_sky2 1024 -
    
    nopicmip
    nomipmaps
    {
        map textures/slackin/clouds02.tga
        blendFunc gl_one_minus_src_alpha gl_src_color
        //blendFunc gl_src_alpha gl_one
        tcMod scale 3 2
        tcMod scroll 0.007 0.008
        //you could try this and remove the 2nd cloud stage for better optimization
        //tcMod turb 1 0.1 0 1         //base amplitude phase frequency
    }
    {
        map textures/slackin/clouds02.tga
        //blendFunc gl_one_minus_src_alpha gl_src_color
        blendFunc gl_src_alpha gl_one
        //tcMod scale 3 2
        tcMod scroll 0.004 0.002
    }
}

textures/imperial/br_branch_2
{ 
    qer_editorimage textures/imperial/br_branch_2.tga 
    q3map_forcemeta
    q3map_vertexScale 1.5
    q3map_bouncescale 2
    //surfaceparm alphashadow - ugly shadows, uncomment if you like it..
    
    nopicmip 
    cull none    
    
    deformVertexes wave 5 sin 0 .1 0 .3
    {
        map textures/imperial/br_branch_2.tga 
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
        //depthwrite - I think this is causing the sort issue..
        rgbGen     exactVertex    //vertex
    }
}
textures/imperial/br_palms1
{ 
    qer_editorimage textures/imperial/br_palms1.tga 
    q3map_forcemeta
    q3map_vertexScale 1.5
    q3map_bouncescale 2
    //surfaceparm alphashadow - ugly shadows, uncomment if you like it..
    
    cull none
    nopicmip 
    
    deformVertexes wave 5 sin 0 .3 0 .3
    { 
        map textures/imperial/br_palms1.tga 
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
        //depthwrite - I think this is causing the sort issue..
        rgbGen     exactVertex    //vertex
    } 
}
textures/imperial/br_palms2
{
    qer_editorimage textures/imperial/br_palms2.tga
    q3map_forcemeta
    q3map_clipModel // uncomment this if you want model clipping on bark remember to add this line in the .surface file for wood hitsounds
    q3map_vertexScale 1.5
    q3map_bouncescale 2
    nopicmip
    {
        map textures/imperial/br_palms2.tga
        rgbGen exactVertex
    }
}

textures/imperial/phong_glass
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorImage textures/slackin/glass01.tga // this image will be different
	qer_trans .99
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm playerslip
	surfaceparm playerclip
	surfaceparm glass
	cull disable
	{
		map textures/slackin/glass01.tga
        tcgen environment
        blendfunc blend
        rgbGen identity
		tcMod scale 1 1.2
		tcMod scroll 0.005 0.01
    }
	{
        map textures/slackin/glass01.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/imperial/imp_light_glass_test
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 30000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/slackin/brick02
{
	qer_editorImage textures/slackin/brick02.tga
	q3map_normalImage textures/slackin/brick02_n.tga
	q3map_lightmapsamplesize 1x1
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/slackin/brick02.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		blendFunc filter
	}
}

textures/slackin/brick03
{
	qer_editorImage textures/slackin/brick03.tga
	q3map_normalImage textures/slackin/brick03_n.tga
	q3map_lightmapsamplesize 1x1
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/slackin/brick03.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		blendFunc filter
	}
}

textures/slackin/brick01
{
	qer_editorImage textures/slackin/brick01.tga
	q3map_normalImage textures/slackin/brick01_n.tga
	q3map_lightmapsamplesize 1x1
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/slackin/brick01.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		blendFunc filter
	}
}

textures/slackin/carpet01
{
	qer_editorImage textures/slackin/carpet01.tga
	q3map_normalImage textures/slackin/carpet01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/carpet01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/crete01
{
	qer_editorImage textures/slackin/crete01.tga
	q3map_normalImage textures/slackin/crete01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/crete01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/crete03
{
	qer_editorImage textures/slackin/crete03.tga
	q3map_normalImage textures/slackin/crete03_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/crete03.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/crete04
{
	qer_editorImage textures/slackin/crete04.tga
	q3map_normalImage textures/slackin/crete04_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/crete04.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/glass01
{
	qer_editorImage textures/slackin/glass01.tga
	q3map_normalImage textures/slackin/glass01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/glass01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/grass01
{
	qer_editorImage textures/slackin/grass01.tga
	q3map_normalImage textures/slackin/grass01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/grass01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/soft01
{
	qer_editorImage textures/slackin/soft01.tga
	q3map_normalImage textures/slackin/soft01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/soft01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/red_floor01
{
	qer_editorImage textures/slackin/red_floor01.tga
	q3map_normalImage textures/slackin/red_floor01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/red_floor01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/tr-ch
{
	qer_editorImage textures/slackin/tr-ch.tga
	q3map_normalImage textures/slackin/tr-ch_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/tr-ch.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/keres/concrete01
{
	qer_editorImage textures/keres/concrete/crete01.tga
	q3map_normalImage textures/keres/concrete/crete01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/keres/concrete/crete01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/keres/brick01
{
	qer_editorImage textures/keres/brick/brick01.tga
	q3map_normalImage textures/keres/brick/brick01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/keres/brick/brick01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/imperial/30k_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 10000
	sort 7
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc blend
        rgbGen vertex
        //blendfunc gl_one gl_one
        //rgbGen identity
    }
    {
        map $lightmap
        blendFunc blend
        rgbgen vertex
    }
}

textures/imperial/75k_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 75000
	sort 7
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc blend
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc blend
        rgbgen vertex
    }
}

textures/imperial/300k_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 300000
	sort 9
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc blend
        rgbGen vertex
        //blendfunc gl_one gl_one
        //rgbGen identity
    }
    {
        map $lightmap
        blendFunc blend
        rgbgen vertex
    }
}

textures/imperial/OH_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 60000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc blend
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc blend
        rgbgen vertex
    }
}

textures/imperial/BR_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 750000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc blend
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc blend
        rgbgen vertex
    }
}

textures/imperial/BR_long_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 10000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/imperial/ladderclip
{
        qer_editorImage textures/imperial/ladder-rad.tga
        qer_trans 0.50
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}

textures/imperial/darkglass
{
	qer_editorImage textures/slackin/glass01.jpg
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm glass

	cull disable
	{
		map textures/slackin/glass01.jpg
		tcgen environment
		blendfunc gl_one gl_one
	}

}


textures/imperial/glass
{
	qer_editorImage textures/imperial/glass.jpg
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/imperial/glass.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
    }
}

textures/imperial/glass01
{
	qer_editorImage textures/slackin/glass01.tga // this image will be different
	qer_trans .5
	q3map_normalImage textures/slackin/glass01_n.tga
	surfaceparm trans
	surfaceparm weaponclip
	cull disable
	{
		map textures/slackin/glass01.tga
        tcgen environment
        blendfunc add
        rgbGen identity
		tcMod scale 1 1.2
		tcMod scroll 0.005 0.01
    }
}

textures/imperial/popcorn_phong
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorImage textures/slackin/popcorn01.tga // this image will be different
	q3map_normalImage textures/slackin/popcorn01_n.tga
	{
        map $lightmap
        rgbGen identity
    }  
	{
        map textures/slackin/popcorn01.tga
        blendFunc filter
	}
}

textures/imperial/popcorn_phong_60
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorImage textures/slackin/popcorn01.tga // this image will be different
	q3map_normalImage textures/slackin/popcorn01_n.tga
	{
        map $lightmap
        rgbGen identity
    }  
	{
        map textures/slackin/popcorn01.tga
        blendFunc filter
	}
}

textures/imperial/popcorn_phong_90
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorImage textures/slackin/popcorn01.tga // this image will be different
	q3map_normalImage textures/slackin/popcorn01_n.tga
	{
        map $lightmap
        rgbGen identity
    }  
	{
        map textures/slackin/popcorn01.tga
        blendFunc filter
	}
}

textures/imperial/popcorn_phong_120
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorImage textures/slackin/popcorn01.tga // this image will be different
	q3map_normalImage textures/slackin/popcorn01_n.tga
	{
        map $lightmap
        rgbGen identity
    }  
	{
        map textures/slackin/popcorn01.tga
        blendFunc filter
	}
}


textures/imperial/slack_fence
{
	qer_editorImage textures/ut_turnpike/will_fence_chainlink.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
    noPicMip
	{
		map textures/ut_turnpike/will_fence_chainlink.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
